/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on LEDs)
 * Copyright:
     (c) Mikroelektronika, 2009.
 * Revision History:
     20080930:
       - initial release;
     20090720 
       - modified by Slavisa Zlatanovic;
     20120123:
       - modified for PIC18F45K22 (FJ);
 * Description:
      A simple example of using the ADC library. ADC results are displayed on PORTB.
 * Test configuration:
     MCU:             PIC18F45K22
                      http://ww1.microchip.com/downloads/en/DeviceDoc/41412D.pdf
     Dev.Board:       Ready for PIC Board
                      http://www.mikroe.com/eng/products/view/734/ready-for-pic-board/
     Oscillator:      HS-PLL 32.0000 MHz, 8.0000 MHz Crystal
     Ext. Modules:    Potentiometer Board - ac:Potentiometer
                      EasyLED Board - ac:EasyLED
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/eng/products/view/7/mikroc-pro-for-pic/
 * NOTES:
     - None.
 */

#include <built_in.h>

unsigned int adc_rd;

void main() {
  ANSELA = 0x02;             // Configure RA1 pin as analog
  ANSELB = 0;                // Configure PORTB pins as digital

  TRISA = 0x02;              // Set RA1 pin as input
  TRISB = 0x00;              // Set PORTC as output

  while (1) {
    adc_rd = ADC_Read(1);    // get ADC value from 1st channel
    LATB = adc_rd >> 2;      // display eight most signifficant bits
  }
}